pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Stores information about a segment of text. System.ValueType
- Field
  Pango.Item Returns an empty
- Method
  Pango.Item Creates a new Item a new
- Method
  Pango.Item `` Internal method an object of type an object of type This is an internal method, and should not be used by user code.
- Method
  System.Void Free a and all associated memory.
- Method
  Pango.Item Copy an existing structure. a new
- Method
  Pango.Item `` `` Modifies orig to cover only the text after , and returns a new item that covers the text before that used to be in orig. byte index of position to split item, relative to the start of the item number of chars between start of orig and new item representing text before You can think of as the length of the returned item. may not be 0, and it may not be greater than or equal to the length of orig (that is, there must be at least one byte assigned to each item, you cannot create a zero-length item). is the length of the first item in chars, and must be provided because the text used to generate the item is not available, so cannot count the char length of the split items itself.
- Field
  System.Int32 the offset of the segment from the beginning of the string in bytes.
- Field
  System.Int32 the length of the segment in bytes.
- Field
  System.Int32 the length of the segment in characters.
- Field
  Pango.Analysis the properties of the segment.